Subject: bug#54921: eww/url mishandles IDN over proxy

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Apr 2022 03:21:31 +0200

Andreas Schwab <[email-masked]> writes:

> I have configured Privoxy as the http/https proxy.  When visiting a URL
> with an IDN address url-retrieve uses the original domain name for the
> proxy connection, not the IDNA encoded name, causing Privoxy to return a
> 404 page.  I'm not sure if that is a bug in Privoxy or in eww.  I could
> not find any RFC on that topic.

What does your proxy setup in Emacs look like?  Is this via url-proxy
and socks.el?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no